# Statistics

Package

## Class Statistics

-     public class Statistics

  Statistics entry for an FFmpeg execute session.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `private long` | `sessionId` |
    `private int` | `videoFrameNumber` |
    `private float` | `videoFps` |
    `private float` | `videoQuality` |
    `private long` | `size` |
    `private double` | `time` |
    `private double` | `bitrate` |
    `private double` | `speed` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Statistics(long sessionId, int videoFrameNumber, float videoFps, float videoQuality, long size, double time, double bitrate, double speed)` |

  - ### Method Summary

    Modifier and Type | Method | Description
    --- | --- | ---
    `long` | `getSessionId()` |
    `void` | `setSessionId(long sessionId)` |
    `int` | `getVideoFrameNumber()` |
    `void` | `setVideoFrameNumber(int videoFrameNumber)` |
    `float` | `getVideoFps()` |
    `void` | `setVideoFps(float videoFps)` |
    `float` | `getVideoQuality()` |
    `void` | `setVideoQuality(float videoQuality)` |
    `long` | `getSize()` |
    `void` | `setSize(long size)` |
    `double` | `getTime()` |
    `void` | `setTime(double time)` |
    `double` | `getBitrate()` |
    `void` | `setBitrate(double bitrate)` |
    `double` | `getSpeed()` |
    `void` | `setSpeed(double speed)` |
    `String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Statistics

          Statistics(long sessionId, int videoFrameNumber, float videoFps, float videoQuality, long size, double time, double bitrate, double speed)

  - ### Method Detail

    - #### getSessionId

           long getSessionId()

    - #### setSessionId

           void setSessionId(long sessionId)

    - #### getVideoFrameNumber

           int getVideoFrameNumber()

    - #### setVideoFrameNumber

           void setVideoFrameNumber(int videoFrameNumber)

    - #### getVideoFps

           float getVideoFps()

    - #### setVideoFps

           void setVideoFps(float videoFps)

    - #### getVideoQuality

           float getVideoQuality()

    - #### setVideoQuality

           void setVideoQuality(float videoQuality)

    - #### getSize

           long getSize()

    - #### setSize

           void setSize(long size)

    - #### getTime

           double getTime()

    - #### setTime

           void setTime(double time)

    - #### getBitrate

           double getBitrate()

    - #### setBitrate

           void setBitrate(double bitrate)

    - #### getSpeed

           double getSpeed()

    - #### setSpeed

           void setSpeed(double speed)

    - #### toString

           String toString()